Run a signed algorithm

Execute a signed feed algorithm in a sandbox with a 10-second timeout. Requires the algorithm code and a signature from /algo/validate.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body for running a signed feed algorithm in a sandbox. The feed_type and feed_inputs must match the values used during validation.

string
required

The algorithm source code (must match what was validated to obtain the signature)

string
required

Signature returned by /algo/validate when both syntax and security checks pass

string
enum
required

Type of feed. Must match what was used during validation.

  • minifeed: Sandbox provides a search object (Search instance). Output with search.show(items).
  • algorithm: Sandbox provides an mbd object (full StudioV1 instance). Output with return mbd.getFeed() or mbd.show().
Allowed:
string
enum
required

Whether user context is available. Must match what was used during validation.

  • none: No user context available.
  • user_id: farcasterFid and polymarketWallet parameters are passed into the algorithm sandbox.
Allowed:
string

Optional Farcaster FID for user context inside the algorithm

string

Optional Polymarket wallet address for user context inside the algorithm

boolean
Defaults to false

If true, response includes logs from log() calls in the algorithm. Default false.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json